MaillyDocs

Update an audience

PUT
/audiences/{audienceKey}

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

audienceKey*string

audience stable key

Request Body

application/json
  1. body
name?string
description?string|null
filter?

Dynamic audiences only

[key: string]?unknown

Response Body

Updated

application/json
  1. response
success*boolean
audience*
[key: string]?unknown
curl -X PUT 'https://api.mailly.site/audiences/string' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "audience": {    "property1": null,    "property2": null  },  "property1": null,  "property2": null}